import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeReportDefinitionsInput } from "../types/DescribeReportDefinitionsInput";
import { DescribeReportDefinitionsOutput } from "../types/DescribeReportDefinitionsOutput";
import { CostandUsageReportServiceResolvedConfiguration } from "../CostandUsageReportServiceConfiguration";
export * from "../types/DescribeReportDefinitionsInput";
export * from "../types/DescribeReportDefinitionsOutput";
export * from "../types/DescribeReportDefinitionsExceptionsUnion";
export declare class DescribeReportDefinitionsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeReportDefinitionsInput, OutputTypesUnion, DescribeReportDefinitionsOutput, CostandUsageReportServiceResolvedConfiguration, Blob> {
    readonly input: DescribeReportDefinitionsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeReportDefinitionsInput, DescribeReportDefinitionsOutput, Blob>;
    constructor(input: DescribeReportDefinitionsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CostandUsageReportServiceResolvedConfiguration): __aws_sdk_types.Handler<DescribeReportDefinitionsInput, DescribeReportDefinitionsOutput>;
}
