import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutReportDefinitionInput } from "../types/PutReportDefinitionInput";
import { PutReportDefinitionOutput } from "../types/PutReportDefinitionOutput";
import { CostandUsageReportServiceResolvedConfiguration } from "../CostandUsageReportServiceConfiguration";
export * from "../types/PutReportDefinitionInput";
export * from "../types/PutReportDefinitionOutput";
export * from "../types/PutReportDefinitionExceptionsUnion";
export declare class PutReportDefinitionCommand implements __aws_sdk_types.Command<InputTypesUnion, PutReportDefinitionInput, OutputTypesUnion, PutReportDefinitionOutput, CostandUsageReportServiceResolvedConfiguration, Blob> {
    readonly input: PutReportDefinitionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutReportDefinitionInput, PutReportDefinitionOutput, Blob>;
    constructor(input: PutReportDefinitionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: CostandUsageReportServiceResolvedConfiguration): __aws_sdk_types.Handler<PutReportDefinitionInput, PutReportDefinitionOutput>;
}
