"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutReportDefinition_1 = require("../model/operations/PutReportDefinition");
var PutReportDefinitionCommand = /** @class */ (function () {
    function PutReportDefinitionCommand(input) {
        this.input = input;
        this.model = PutReportDefinition_1.PutReportDefinition;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutReportDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutReportDefinitionCommand;
}());
exports.PutReportDefinitionCommand = PutReportDefinitionCommand;
//# sourceMappingURL=PutReportDefinitionCommand.js.map