"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeReportDefinitionsInput_1 = require("../shapes/DescribeReportDefinitionsInput");
var DescribeReportDefinitionsOutput_1 = require("../shapes/DescribeReportDefinitionsOutput");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeReportDefinitions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeReportDefinitions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeReportDefinitionsInput_1.DescribeReportDefinitionsInput
    },
    output: {
        shape: DescribeReportDefinitionsOutput_1.DescribeReportDefinitionsOutput
    },
    errors: [
        {
            shape: InternalErrorException_1.InternalErrorException
        }
    ]
};
//# sourceMappingURL=DescribeReportDefinitions.js.map